Subject: Re: Gota Kola?

From: Maggie Houston <[email-masked]>
Date: 5 Sep 1995 17:45:07 GMT

My husband swears by this herb and has added Gingo Bilboa.  He is taking it 
in tincture form, adds it to juice in the morning with American Ginseng.